Advanced token filtering across multiple networks.
curl --request GET \
--url https://api.dexpaprika.com/tokens/searchimport requests
url = "https://api.dexpaprika.com/tokens/search"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.dexpaprika.com/tokens/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"chain": "<string>",
"address": "<string>",
"price_usd": 123,
"price_change_percentage_24h": 123,
"volume_usd_24h": 123,
"volume_usd_7d": 123,
"volume_usd_30d": 123,
"liquidity_usd": 123,
"fdv_usd": 123,
"txns_24h": 123,
"created_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"symbol": "<string>",
"decimals": 123,
"has_image": true,
"pools": 123,
"24h": {
"volume_usd": 123,
"buys": 123,
"sells": 123,
"txns": 123,
"last_price_usd_change": 123
},
"6h": {
"volume_usd": 123,
"buys": 123,
"sells": 123,
"txns": 123,
"last_price_usd_change": 123
},
"1h": {
"volume_usd": 123,
"buys": 123,
"sells": 123,
"txns": 123,
"last_price_usd_change": 123
},
"30m": {
"volume_usd": 123,
"buys": 123,
"sells": 123,
"txns": 123,
"last_price_usd_change": 123
},
"15m": {
"volume_usd": 123,
"buys": 123,
"sells": 123,
"txns": 123,
"last_price_usd_change": 123
},
"5m": {
"volume_usd": 123,
"buys": 123,
"sells": 123,
"txns": 123,
"last_price_usd_change": 123
},
"1m": {
"volume_usd": 123,
"buys": 123,
"sells": 123,
"txns": 123,
"last_price_usd_change": 123
}
}
],
"has_next_page": true,
"next_cursor": "<string>",
"query": {
"chains": [
"<string>"
],
"limit": 123,
"cursor": "<string>",
"order_by": "volume_usd_24h",
"sort": "asc",
"volume_usd_24h_min": 123,
"volume_usd_24h_max": 123,
"volume_usd_7d_min": 123,
"volume_usd_7d_max": 123,
"volume_usd_30d_min": 123,
"volume_usd_30d_max": 123,
"liquidity_usd_min": 123,
"liquidity_usd_max": 123,
"txns_24h_min": 123,
"txns_24h_max": 123,
"price_usd_min": 123,
"price_usd_max": 123,
"price_change_percentage_24h_min": 123,
"price_change_percentage_24h_max": 123,
"fdv_usd_min": 123,
"fdv_usd_max": 123,
"created_after": 123,
"created_before": 123,
"detailed": true
}
}
Tokens
Advanced token filtering across multiple networks.
Retrieves a paginated list of tokens matching the advanced search criteria across multiple chains. Supports various filters and cursor-based pagination.
GET
/
tokens
/
search
Advanced token filtering across multiple networks.
Query Parameters
Comma-separated list of chains to search in (e.g., 'ethereum,solana'). If empty, all chains are searched.
Number of items to return per page (max 100).
Required range:
1 <= x <= 100Cursor for pagination.
Available options:
volume_usd_24h, volume_usd_7d, volume_usd_30d, price_usd, liquidity_usd, txns_24h, price_change_percentage_24h, created_at, fdv_usd Available options:
asc, desc If true, the response will include enriched data (metadata, pools, intervals).
Was this page helpful?